cancel
Showing results for 
Search instead for 
Did you mean: 

Head's Up! Site migration is underway. Expect disruption to service on Thursday, Feb. 9!

Where can I find the official Neo4j JDBC drivers?

amitpathak
Node Link

I am trying to connect my Rapidminer process with Neo4j database but getting error.

Initially, I thought it might be some issue from the Rapidminer side, but it seems that the JDBC driver has some flaw. I have asked in the Rapidminer community and here is the link to it.

I am using Neo4j v4+ and downloaded the JDBC drivers from this link. Is there any other link from where I can try downloading the drivers?

1 ACCEPTED SOLUTION

steggy
Neo4j
Neo4j

Hi @amitpathak ,

Neo4j supplies a JDBC-compliant driver as part of our Labs. @florent_biville has recently updated this to version 5.3, and once it propagates through Maven Central's caches, you can get it from https://search.maven.org/artifact/org.neo4j/neo4j-jdbc-bolt  This is a F/OSS JDBC driver, and the 5.0 version should work against both 4.x and 5.x Neo4j databases (I just checked, and 5.0 isn't there yet). This JDBC driver should support what it looks like you are trying to do in your Rapidminer post - that is submitting Cypher queries via JDBC.

Edit: see subsequent posts... for Neo4j 4 the earlier version of the JDBC driver should work

J

View solution in original post

16 REPLIES 16

Hello, what version of Neo4j are you using exactly?
The JDBC connector will be released soon with v5 support. Until then, only versions of Neo4j up to 4.4 are supported by the JDBC connector.

Hi, I am using Neo4j 4.0.4 Enterprise version along with neo4j-jdbc-driver-4.0.6.jar.

steggy
Neo4j
Neo4j

Hi @amitpathak ,

Neo4j supplies a JDBC-compliant driver as part of our Labs. @florent_biville has recently updated this to version 5.3, and once it propagates through Maven Central's caches, you can get it from https://search.maven.org/artifact/org.neo4j/neo4j-jdbc-bolt  This is a F/OSS JDBC driver, and the 5.0 version should work against both 4.x and 5.x Neo4j databases (I just checked, and 5.0 isn't there yet). This JDBC driver should support what it looks like you are trying to do in your Rapidminer post - that is submitting Cypher queries via JDBC.

Edit: see subsequent posts... for Neo4j 4 the earlier version of the JDBC driver should work

J

Hi @steggy 

Thank you for the response.

Then I guess, I should wait until the v5 is released. Hope that helps me!

See below - you can grab 4.0.6

@amitpathak - let me refine what i've said above based on your answer. the neo4-jdbc-bolt driver above should work in your situation. You can grab 4.0.6 from Maven, and that should be the latest. The other concern: 4.0.4 is EOL - the long-term support for 4.x is 4.4.x.

Got it! One more quick thing, I do not see drop down showing any driver class when I use the specific bolt driver jar file but works fine with the other driver jar file.

Indeed, that changes with 5.0.0 where neo4j-jdbc-bolt will define the registered java.sql.Driver implementations (the other module will be removed).

However, as you pointed out, in 4.x, the neo4j-jdbc-bolt module does not list them.

Hi @steggy  and @florent_biville ,

I tried the following with no success-

  1. Neo4j v4.4.5 with jdbc-driver v4.0.6 / v4.0.9 - Shows the same password change error
  2. Neo4j v5.1.0 with jdbc-driver v4.0.6 / v4.0.9 - Cannot authenticate
  3. Neo4j v5.1.0 with jdbc-bolt-driver v5.0.0 - Not able to select the driver class

Hello, thanks for reporting back, let me try to reproduce these. I'll let you know.

I successfully used 4.0.9 and 5.0.0 of neo4j-jdbc-bolt against Neo4j 4.4 and 5 respectively: https://github.com/fbiville/jdbc-experiments.

Hi, the "Test Connection" works. Were you able to run a cypher query successfully?

Hello and happy new year! Yes, both tests involve executing the simple "RETURN 42"

Hi @florent_biville, a very happy new year : ) I tried connecting with community neo4j v4.4.16 with jdbc driver 4.0.6 and successfully able to run cypher queries. Unfortunately, it is not working with enterprise edition. Prompts the same error to change the password.

Working now : ) Thankyou for the support.

Perfect, I also updated the examples to work with the latest 4.4.x and 5.x enterprise versions: https://github.com/fbiville/jdbc-experiments.
Happy new year to you too!